
QGIS Application - Bug report #14450

Vector layer selection dialog does not parse Curve geometry layers correctly

2016-03-09 09:25 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22428

Description

I converted some GML to GPKG with ogr2ogr. The data had several Curve Polygon layers. When I opened the resulting GPKG in QGIS

the "Select vector layers to add..." dialog had errors in its table.

The data source: http://suche.transparenz.hamburg.de/dataset/alkis-liegenschaftskarte-ausgewahlte-daten-hamburg

ogr2ogr -append -f GPKG -fieldTypeToString IntegerList,RealList,StringList -unsetFieldWidth -a_srs EPSG:25832 test2.gpkg

ALKIS_Liegenschaftskarte_ausgewaehlteDaten_HH_2016-01-02.zip/ALKIS_HH_0100.xml

results in the bad gpkg.png dialog

ogr2ogr -append -f GPKG -fieldTypeToString IntegerList,RealList,StringList -nlt CONVERT_TO_LINEAR -unsetFieldWidth -a_srs

EPSG:25832 test2.gpkg ALKIS_Liegenschaftskarte_ausgewaehlteDaten_HH_2016-01-02.zip/ALKIS_HH_0100.xml

results in properly parsed good gpkg.png so I suspect the non-linear Curve Polygon geometries are a problem.

History

#1 - 2016-03-09 09:30 AM - Johannes Kroeger

License of the test.gpkg is Datenlizenz Deutschland Namensnennung 2.0 which we comply with by saying that test.gpkg is sourced from data by "Freie und

Hansestadt Hamburg, Landesbetrieb Geoinformation und Vermessung, 2014". :)

#2 - 2016-04-09 09:45 AM - Giovanni Manghi

- Category set to Vectors

#3 - 2016-05-10 01:10 AM - Jens Deutschmann

- Target version set to Version 2.14

- File QGIS_2.8_NAS_Issue.png added

I could add something i´ve experienced.

I run in the same Issue and I think its a XML_NAS problem.

NAS are a "German offical data exchange format" for geoinformation, its a form of xml. If i try to import some NAS-Data into qgis the mentioned

VectorLayerSelection Dialog shows for Curvepolygon ==> look at the image. This is only a problem if there is a curvepolygon in the layer! If you import it

anyway, qgis would say: Invalid data source!
I tried several Qgis versions and can now say: this problem occurs in Version 2.8.9; 2.10.1 and 2.14.2 but dit not show up in Version 2.8.1 and 2.12.3. This

saved my ass :)

Hope i could help a little bit with this....

#4 - 2016-05-10 05:06 AM - Jürgen Fischer

Jens Deutschmann wrote:

I tried several Qgis versions and can now say: this problem occurs in Version 2.8.9; 2.10.1 and 2.14.2 but dit not show up in Version 2.8.1 and

2.12.3. This saved my ass :)

Probably doesn't depend on the QGIS version but rather on the GDAL version in use.  GDAL1 doesn't expose curves and implicitly converts them to linear

geometries.  GDAL2 exposes them and therefore produces geometry types that are not yet fully supported everywhere (-nlt CONVERT_TO_LINEAR

above restores the old behaviour to avoid this)

#5 - 2016-05-11 12:52 AM - Jens Deutschmann

OK

this might be the problem.

Then I must use GDAL-Comandline to avoid it (-nlt Convert_to_linear is a comandline?)?

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
